### Constructor

# Gtk.BookmarkList.new

#### Declaration [src]

    GtkBookmarkList*
    gtk_bookmark_list_new (
      const char* filename,
      const char* attributes
    )

#### Description [src]

Creates a new `GtkBookmarkList` with the given `attributes`.

#### Parameters

`filename` | `const char*`
| The bookmark file to load
| Can be `NULL`
| Ownership is not transferred to the callee
| The string is a NUL terminated UTF-8 string
`attributes` | `const char*`
| The attributes to query
| Can be `NULL`
| Ownership is not transferred to the callee
| The string is a NUL terminated UTF-8 string

#### Return value

Returns: `GtkBookmarkList`
a new `GtkBookmarkList`
Ownership of the data is transferred to the caller